Page MenuHomePhabricator

[PowerPC]: Add powerpcspe target triple subarch component
ClosedPublic

Authored by jhibbits on Dec 30 2019, 1:12 PM.

Details

Reviewers
dim
Group Reviewers
Restricted Project
Commits
rGff0311c4b3b9: [PowerPC]: Add powerpcspe target triple subarch component
Summary

This allows the use of '-target powerpcspe-unknown-linux-gnu' or
'powerpcspe-unknown-freebsd' to be used, instead of
'-target powerpc-unknown-linux-gnu -mspe'.

Diff Detail

Event Timeline

jhibbits created this revision.Dec 30 2019, 1:12 PM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptDec 30 2019, 1:12 PM
jhibbits updated this revision to Diff 235637.Dec 30 2019, 1:17 PM

Fix a test typo made at the last minute.

arichardson added inline comments.Dec 30 2019, 2:04 PM
clang/test/Preprocessor/init.c
6558

These seem to be checking the same defines. It's it possible to reuse the existing -check-prefix PPC32-SPE for new newly added command?

jhibbits marked an inline comment as done.Dec 30 2019, 7:24 PM
jhibbits added inline comments.
clang/test/Preprocessor/init.c
6558

Yeah, it's better to reuse. I waffled on it a bit before doing it this way, and didn't really like it anyway. Reverting to the reuse.

jhibbits updated this revision to Diff 235668.Dec 30 2019, 7:28 PM

Reuse the SPE feature test preprocessor test check instead of duplicating it.
powerpcspe-* is exactly equivalent to the -mspe command line argument.

Jim added a subscriber: Jim.Dec 30 2019, 10:13 PM

Could you add tests in llvm/unittests/ADT/TripleTest.cpp

jhibbits updated this revision to Diff 235716.Dec 31 2019, 8:45 AM

Add triple unit test. I chose freebsd as the OS since that's my environment.

lwhsu added a subscriber: lwhsu.Jan 5 2020, 9:11 AM

Any more feedback on this?

jhibbits added a subscriber: dim.Jan 8 2020, 8:03 AM
dim accepted this revision.Jan 8 2020, 9:35 AM

LGTM.

This revision is now accepted and ready to land.Jan 8 2020, 9:35 AM
This revision was automatically updated to reflect the committed changes.